Preparing release
[geeqie.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (C) 2004 Oren Ben-Kiki
18 # This file is distributed under the same terms as the Automake macro files.
19
20 # Generate automatic documentation using Doxygen. Goals and variables values
21 # are controlled by the various DX_COND_??? conditionals set by autoconf.
22 #
23 # The provided goals are:
24 # doxygen-doc: Generate all doxygen documentation.
25 # doxygen-run: Run doxygen, which will generate some of the documentation
26 #              (HTML, CHM, CHI, MAN, RTF, XML) but will not do the post
27 #              processing required for the rest of it (PS, PDF, and some MAN).
28 # doxygen-man: Rename some doxygen generated man pages.
29 # doxygen-ps: Generate doxygen PostScript documentation.
30 # doxygen-pdf: Generate doxygen PDF documentation.
31 #
32 # Note that by default these are not integrated into the automake goals. If
33 # doxygen is used to generate man pages, you can achieve this integration by
34 # setting man3_MANS to the list of man pages generated and then adding the
35 # dependency:
36 #
37 #   $(man3_MANS): doxygen-doc
38 #
39 # This will cause make to run doxygen and generate all the documentation.
40 #
41 # The following variable is intended for use in Makefile.am:
42 #
43 # DX_CLEANFILES = everything to clean.
44 #
45 # This is usually added to MOSTLYCLEANFILES.
46
47 VPATH = @srcdir@
48 am__is_gnu_make = { \
49   if test -z '$(MAKELEVEL)'; then \
50     false; \
51   elif test -n '$(MAKE_HOST)'; then \
52     true; \
53   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54     true; \
55   else \
56     false; \
57   fi; \
58 }
59 am__make_running_with_option = \
60   case $${target_option-} in \
61       ?) ;; \
62       *) echo "am__make_running_with_option: internal error: invalid" \
63               "target option '$${target_option-}' specified" >&2; \
64          exit 1;; \
65   esac; \
66   has_opt=no; \
67   sane_makeflags=$$MAKEFLAGS; \
68   if $(am__is_gnu_make); then \
69     sane_makeflags=$$MFLAGS; \
70   else \
71     case $$MAKEFLAGS in \
72       *\\[\ \   ]*) \
73         bs=\\; \
74         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
76     esac; \
77   fi; \
78   skip_next=no; \
79   strip_trailopt () \
80   { \
81     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82   }; \
83   for flg in $$sane_makeflags; do \
84     test $$skip_next = yes && { skip_next=no; continue; }; \
85     case $$flg in \
86       *=*|--*) continue;; \
87         -*I) strip_trailopt 'I'; skip_next=yes;; \
88       -*I?*) strip_trailopt 'I';; \
89         -*O) strip_trailopt 'O'; skip_next=yes;; \
90       -*O?*) strip_trailopt 'O';; \
91         -*l) strip_trailopt 'l'; skip_next=yes;; \
92       -*l?*) strip_trailopt 'l';; \
93       -[dEDm]) skip_next=yes;; \
94       -[JT]) skip_next=yes;; \
95     esac; \
96     case $$flg in \
97       *$$target_option*) has_opt=yes; break;; \
98     esac; \
99   done; \
100   test $$has_opt = yes
101 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103 pkgdatadir = $(datadir)/@PACKAGE@
104 pkgincludedir = $(includedir)/@PACKAGE@
105 pkglibdir = $(libdir)/@PACKAGE@
106 pkglibexecdir = $(libexecdir)/@PACKAGE@
107 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108 install_sh_DATA = $(install_sh) -c -m 644
109 install_sh_PROGRAM = $(install_sh) -c
110 install_sh_SCRIPT = $(install_sh) -c
111 INSTALL_HEADER = $(INSTALL_DATA)
112 transform = $(program_transform_name)
113 NORMAL_INSTALL = :
114 PRE_INSTALL = :
115 POST_INSTALL = :
116 NORMAL_UNINSTALL = :
117 PRE_UNINSTALL = :
118 POST_UNINSTALL = :
119 subdir = .
120 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
122         $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
126         $(am__configure_deps) $(am__DIST_COMMON)
127 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
128  configure.lineno config.status.lineno
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = config.h
131 CONFIG_CLEAN_FILES = geeqie.spec
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
148         ctags-recursive dvi-recursive html-recursive info-recursive \
149         install-data-recursive install-dvi-recursive \
150         install-exec-recursive install-html-recursive \
151         install-info-recursive install-pdf-recursive \
152         install-ps-recursive install-recursive installcheck-recursive \
153         installdirs-recursive pdf-recursive ps-recursive \
154         tags-recursive uninstall-recursive
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 man1dir = $(mandir)/man1
188 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)" \
189         "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"
190 NROFF = nroff
191 MANS = $(man_MANS)
192 DATA = $(desktop_DATA) $(icon_DATA) $(readme_DATA)
193 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
194   distclean-recursive maintainer-clean-recursive
195 am__recursive_targets = \
196   $(RECURSIVE_TARGETS) \
197   $(RECURSIVE_CLEAN_TARGETS) \
198   $(am__extra_recursive_targets)
199 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
200         cscope distdir distdir-am dist dist-all distcheck
201 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
202         $(LISP)config.h.in
203 # Read a list of newline-separated strings from the standard input,
204 # and print each of them once, without duplicates.  Input order is
205 # *not* preserved.
206 am__uniquify_input = $(AWK) '\
207   BEGIN { nonempty = 0; } \
208   { items[$$0] = 1; nonempty = 1; } \
209   END { if (nonempty) { for (i in items) print i; }; } \
210 '
211 # Make sure the list of sources is unique.  This is necessary because,
212 # e.g., the same source file might be shared among _SOURCES variables
213 # for different programs/libraries.
214 am__define_uniq_tagged_files = \
215   list='$(am__tagged_files)'; \
216   unique=`for i in $$list; do \
217     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
218   done | $(am__uniquify_input)`
219 ETAGS = etags
220 CTAGS = ctags
221 CSCOPE = cscope
222 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
223         $(srcdir)/geeqie.spec.in $(top_srcdir)/aminclude.am \
224         $(top_srcdir)/auxdir/compile $(top_srcdir)/auxdir/install-sh \
225         $(top_srcdir)/auxdir/missing AUTHORS COPYING ChangeLog NEWS \
226         TODO auxdir/compile auxdir/depcomp auxdir/install-sh \
227         auxdir/missing
228 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
229 distdir = $(PACKAGE)-$(VERSION)
230 top_distdir = $(distdir)
231 am__remove_distdir = \
232   if test -d "$(distdir)"; then \
233     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
234       && rm -rf "$(distdir)" \
235       || { sleep 5 && rm -rf "$(distdir)"; }; \
236   else :; fi
237 am__post_remove_distdir = $(am__remove_distdir)
238 am__relativize = \
239   dir0=`pwd`; \
240   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
241   sed_rest='s,^[^/]*/*,,'; \
242   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
243   sed_butlast='s,/*[^/]*$$,,'; \
244   while test -n "$$dir1"; do \
245     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
246     if test "$$first" != "."; then \
247       if test "$$first" = ".."; then \
248         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
249         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
250       else \
251         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
252         if test "$$first2" = "$$first"; then \
253           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
254         else \
255           dir2="../$$dir2"; \
256         fi; \
257         dir0="$$dir0"/"$$first"; \
258       fi; \
259     fi; \
260     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
261   done; \
262   reldir="$$dir2"
263 GZIP_ENV = --best
264 DIST_ARCHIVES = $(distdir).tar.xz
265 DIST_TARGETS = dist-xz
266 distuninstallcheck_listfiles = find . -type f -print
267 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
268   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
269 distcleancheck_listfiles = find . -type f -print
270 ACLOCAL = @ACLOCAL@
271 ALL_LINGUAS = @ALL_LINGUAS@
272 AMTAR = @AMTAR@
273 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
274 AUTOCONF = @AUTOCONF@
275 AUTOHEADER = @AUTOHEADER@
276 AUTOMAKE = @AUTOMAKE@
277 AWK = @AWK@
278 CATALOGS = @CATALOGS@
279 CATOBJEXT = @CATOBJEXT@
280 CC = @CC@
281 CCDEPMODE = @CCDEPMODE@
282 CFLAGS = @CFLAGS@
283 CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
284 CLUTTER_GTK_CFLAGS = @CLUTTER_GTK_CFLAGS@
285 CLUTTER_GTK_LIBS = @CLUTTER_GTK_LIBS@
286 CLUTTER_LIBS = @CLUTTER_LIBS@
287 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
288 CPP = @CPP@
289 CPPFLAGS = @CPPFLAGS@
290 CXX = @CXX@
291 CXXDEPMODE = @CXXDEPMODE@
292 CXXFLAGS = @CXXFLAGS@
293 CYGPATH_W = @CYGPATH_W@
294 DATADIRNAME = @DATADIRNAME@
295 DEFS = @DEFS@
296 DEPDIR = @DEPDIR@
297 DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
298 DX_CONFIG = @DX_CONFIG@
299 DX_DOCDIR = @DX_DOCDIR@
300 DX_DOT = @DX_DOT@
301 DX_DOXYGEN = @DX_DOXYGEN@
302 DX_DVIPS = @DX_DVIPS@
303 DX_EGREP = @DX_EGREP@
304 DX_ENV = @DX_ENV@
305 DX_FLAG_DX_CURRENT_FEATURE = @DX_FLAG_DX_CURRENT_FEATURE@
306 DX_FLAG_chi = @DX_FLAG_chi@
307 DX_FLAG_chm = @DX_FLAG_chm@
308 DX_FLAG_doc = @DX_FLAG_doc@
309 DX_FLAG_dot = @DX_FLAG_dot@
310 DX_FLAG_html = @DX_FLAG_html@
311 DX_FLAG_man = @DX_FLAG_man@
312 DX_FLAG_pdf = @DX_FLAG_pdf@
313 DX_FLAG_ps = @DX_FLAG_ps@
314 DX_FLAG_rtf = @DX_FLAG_rtf@
315 DX_FLAG_xml = @DX_FLAG_xml@
316 DX_HHC = @DX_HHC@
317 DX_LATEX = @DX_LATEX@
318 DX_MAKEINDEX = @DX_MAKEINDEX@
319 DX_PDFLATEX = @DX_PDFLATEX@
320 DX_PERL = @DX_PERL@
321 DX_PROJECT = @DX_PROJECT@
322 ECHO_C = @ECHO_C@
323 ECHO_N = @ECHO_N@
324 ECHO_T = @ECHO_T@
325 EGREP = @EGREP@
326 EXEEXT = @EXEEXT@
327 EXIV2_CFLAGS = @EXIV2_CFLAGS@
328 EXIV2_LIBS = @EXIV2_LIBS@
329 FFMPEGTHUMBNAILER_CFLAGS = @FFMPEGTHUMBNAILER_CFLAGS@
330 FFMPEGTHUMBNAILER_LIBS = @FFMPEGTHUMBNAILER_LIBS@
331 GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
332 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
333 GLIB_CFLAGS = @GLIB_CFLAGS@
334 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
335 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
336 GLIB_LIBS = @GLIB_LIBS@
337 GLIB_MKENUMS = @GLIB_MKENUMS@
338 GMOFILES = @GMOFILES@
339 GMSGFMT = @GMSGFMT@
340 GNOME_DOC_TOOL = @GNOME_DOC_TOOL@
341 GOBJECT_QUERY = @GOBJECT_QUERY@
342 GREP = @GREP@
343 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
344 GTHREAD_LIBS = @GTHREAD_LIBS@
345 GTK_CFLAGS = @GTK_CFLAGS@
346 GTK_LIBS = @GTK_LIBS@
347 INSTALL = @INSTALL@
348 INSTALL_DATA = @INSTALL_DATA@
349 INSTALL_PROGRAM = @INSTALL_PROGRAM@
350 INSTALL_SCRIPT = @INSTALL_SCRIPT@
351 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
352 INSTOBJEXT = @INSTOBJEXT@
353 INTLLIBS = @INTLLIBS@
354 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
355 INTLTOOL_MERGE = @INTLTOOL_MERGE@
356 INTLTOOL_PERL = @INTLTOOL_PERL@
357 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
358 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
359 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
360 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
361 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
362 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
363 JPEG_CFLAGS = @JPEG_CFLAGS@
364 JPEG_LIBS = @JPEG_LIBS@
365 LCMS_CFLAGS = @LCMS_CFLAGS@
366 LCMS_LIBS = @LCMS_LIBS@
367 LDFLAGS = @LDFLAGS@
368 LIBCHAMPLAIN_CFLAGS = @LIBCHAMPLAIN_CFLAGS@
369 LIBCHAMPLAIN_GTK_CFLAGS = @LIBCHAMPLAIN_GTK_CFLAGS@
370 LIBCHAMPLAIN_GTK_LIBS = @LIBCHAMPLAIN_GTK_LIBS@
371 LIBCHAMPLAIN_LIBS = @LIBCHAMPLAIN_LIBS@
372 LIBOBJS = @LIBOBJS@
373 LIBS = @LIBS@
374 LTLIBOBJS = @LTLIBOBJS@
375 LUA_CFLAGS = @LUA_CFLAGS@
376 LUA_LIBS = @LUA_LIBS@
377 MAINT = @MAINT@
378 MAKEINFO = @MAKEINFO@
379 MKDIR_P = @MKDIR_P@
380 MKINSTALLDIRS = @MKINSTALLDIRS@
381 MSGFMT = @MSGFMT@
382 MSGFMT_OPTS = @MSGFMT_OPTS@
383 MSGMERGE = @MSGMERGE@
384 OBJEXT = @OBJEXT@
385 PACKAGE = @PACKAGE@
386 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
387 PACKAGE_NAME = @PACKAGE_NAME@
388 PACKAGE_STRING = @PACKAGE_STRING@
389 PACKAGE_TARNAME = @PACKAGE_TARNAME@
390 PACKAGE_URL = @PACKAGE_URL@
391 PACKAGE_VERSION = @PACKAGE_VERSION@
392 PATHSEP = @PATHSEP@
393 PATH_SEPARATOR = @PATH_SEPARATOR@
394 PDF_CFLAGS = @PDF_CFLAGS@
395 PDF_LIBS = @PDF_LIBS@
396 PKG_CONFIG = @PKG_CONFIG@
397 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
398 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
399 POFILES = @POFILES@
400 POSUB = @POSUB@
401 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
402 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
403 SET_MAKE = @SET_MAKE@
404 SHELL = @SHELL@
405 STRIP = @STRIP@
406 TIFF_CFLAGS = @TIFF_CFLAGS@
407 TIFF_LIBS = @TIFF_LIBS@
408 USE_NLS = @USE_NLS@
409 VERSION = @VERSION@
410 WINDRES = @WINDRES@
411 XGETTEXT = @XGETTEXT@
412 abs_builddir = @abs_builddir@
413 abs_srcdir = @abs_srcdir@
414 abs_top_builddir = @abs_top_builddir@
415 abs_top_srcdir = @abs_top_srcdir@
416 ac_ct_CC = @ac_ct_CC@
417 ac_ct_CXX = @ac_ct_CXX@
418 am__include = @am__include@
419 am__leading_dot = @am__leading_dot@
420 am__quote = @am__quote@
421 am__tar = @am__tar@
422 am__untar = @am__untar@
423 appdir = @appdir@
424 bindir = @bindir@
425 build_alias = @build_alias@
426 builddir = @builddir@
427 datadir = @datadir@
428 datarootdir = @datarootdir@
429 docdir = @docdir@
430 dvidir = @dvidir@
431 exec_prefix = @exec_prefix@
432 gq_bindir = @gq_bindir@
433 host_alias = @host_alias@
434 htmldir = @htmldir@
435 includedir = @includedir@
436 infodir = @infodir@
437 install_sh = @install_sh@
438 intltool__v_merge_options_ = @intltool__v_merge_options_@
439 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
440 libdir = @libdir@
441 libexecdir = @libexecdir@
442 localedir = @localedir@
443 localstatedir = @localstatedir@
444 mandir = @mandir@
445 mkdir_p = @mkdir_p@
446 ms_librarian = @ms_librarian@
447 oldincludedir = @oldincludedir@
448 pdfdir = @pdfdir@
449 prefix = @prefix@
450 program_transform_name = @program_transform_name@
451 psdir = @psdir@
452 readmedir = @readmedir@
453 runstatedir = @runstatedir@
454 sbindir = @sbindir@
455 sharedstatedir = @sharedstatedir@
456 srcdir = @srcdir@
457 sysconfdir = @sysconfdir@
458 target_alias = @target_alias@
459 top_build_prefix = @top_build_prefix@
460 top_builddir = @top_builddir@
461 top_srcdir = @top_srcdir@
462 @DX_COND_doc_TRUE@@DX_COND_html_TRUE@DX_CLEAN_HTML = @DX_DOCDIR@/html
463 @DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHM = @DX_DOCDIR@/chm
464 @DX_COND_chi_TRUE@@DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHI = @DX_DOCDIR@/@PACKAGE@.chi
465 @DX_COND_doc_TRUE@@DX_COND_man_TRUE@DX_CLEAN_MAN = @DX_DOCDIR@/man
466 @DX_COND_doc_TRUE@@DX_COND_rtf_TRUE@DX_CLEAN_RTF = @DX_DOCDIR@/rtf
467 @DX_COND_doc_TRUE@@DX_COND_xml_TRUE@DX_CLEAN_XML = @DX_DOCDIR@/xml
468 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_CLEAN_PS = @DX_DOCDIR@/@PACKAGE@.ps
469 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_PS_GOAL = doxygen-ps
470 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_CLEAN_PDF = @DX_DOCDIR@/@PACKAGE@.pdf
471 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_PDF_GOAL = doxygen-pdf
472 @DX_COND_doc_TRUE@@DX_COND_latex_TRUE@DX_CLEAN_LATEX = @DX_DOCDIR@/latex
473 @DX_COND_doc_TRUE@DX_CLEANFILES = \
474 @DX_COND_doc_TRUE@    @DX_DOCDIR@/@PACKAGE@.tag \
475 @DX_COND_doc_TRUE@    -r \
476 @DX_COND_doc_TRUE@    $(DX_CLEAN_HTML) \
477 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHM) \
478 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHI) \
479 @DX_COND_doc_TRUE@    $(DX_CLEAN_MAN) \
480 @DX_COND_doc_TRUE@    $(DX_CLEAN_RTF) \
481 @DX_COND_doc_TRUE@    $(DX_CLEAN_XML) \
482 @DX_COND_doc_TRUE@    $(DX_CLEAN_PS) \
483 @DX_COND_doc_TRUE@    $(DX_CLEAN_PDF) \
484 @DX_COND_doc_TRUE@    $(DX_CLEAN_LATEX)
485
486 SUBDIRS = src po doc plugins
487 DIST_SUBDIRS = src po doc plugins
488 man_MANS = geeqie.1
489 @HAVE_MARKDOWN_FALSE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS ChangeLog.html
490 @HAVE_MARKDOWN_TRUE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS README.html ChangeLog.html
491 desktopdir = $(datadir)/applications
492 desktop_in_files = geeqie.desktop.in
493 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
494 icondir = $(datadir)/pixmaps
495 icon_DATA = geeqie.png
496 EXTRA_DIST = \
497         $(readme_DATA)  \
498         $(desktop_in_files)     \
499         $(icon_DATA)    \
500         geeqie.spec.in  \
501         geeqie.1        \
502         doxygen.conf
503
504 DISTCLEANFILES = config.report
505 CLEANFILES = $(desktop_DATA) ChangeLog.html
506 all: config.h
507         $(MAKE) $(AM_MAKEFLAGS) all-recursive
508
509 .SUFFIXES:
510 am--refresh: Makefile
511         @:
512 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/aminclude.am $(am__configure_deps)
513         @for dep in $?; do \
514           case '$(am__configure_deps)' in \
515             *$$dep*) \
516               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
517               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
518                 && exit 0; \
519               exit 1;; \
520           esac; \
521         done; \
522         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
523         $(am__cd) $(top_srcdir) && \
524           $(AUTOMAKE) --foreign Makefile
525 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
526         @case '$?' in \
527           *config.status*) \
528             echo ' $(SHELL) ./config.status'; \
529             $(SHELL) ./config.status;; \
530           *) \
531             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
532             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
533         esac;
534 $(top_srcdir)/aminclude.am $(am__empty):
535
536 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
537         $(SHELL) ./config.status --recheck
538
539 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
540         $(am__cd) $(srcdir) && $(AUTOCONF)
541 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
542         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
543 $(am__aclocal_m4_deps):
544
545 config.h: stamp-h1
546         @test -f $@ || rm -f stamp-h1
547         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
548
549 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
550         @rm -f stamp-h1
551         cd $(top_builddir) && $(SHELL) ./config.status config.h
552 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
553         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
554         rm -f stamp-h1
555         touch $@
556
557 distclean-hdr:
558         -rm -f config.h stamp-h1
559 geeqie.spec: $(top_builddir)/config.status $(srcdir)/geeqie.spec.in
560         cd $(top_builddir) && $(SHELL) ./config.status $@
561 install-man1: $(man_MANS)
562         @$(NORMAL_INSTALL)
563         @list1=''; \
564         list2='$(man_MANS)'; \
565         test -n "$(man1dir)" \
566           && test -n "`echo $$list1$$list2`" \
567           || exit 0; \
568         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
569         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
570         { for i in $$list1; do echo "$$i"; done;  \
571         if test -n "$$list2"; then \
572           for i in $$list2; do echo "$$i"; done \
573             | sed -n '/\.1[a-z]*$$/p'; \
574         fi; \
575         } | while read p; do \
576           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
577           echo "$$d$$p"; echo "$$p"; \
578         done | \
579         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
580               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
581         sed 'N;N;s,\n, ,g' | { \
582         list=; while read file base inst; do \
583           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
584             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
585             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
586           fi; \
587         done; \
588         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
589         while read files; do \
590           test -z "$$files" || { \
591             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
592             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
593         done; }
594
595 uninstall-man1:
596         @$(NORMAL_UNINSTALL)
597         @list=''; test -n "$(man1dir)" || exit 0; \
598         files=`{ for i in $$list; do echo "$$i"; done; \
599         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
600           sed -n '/\.1[a-z]*$$/p'; \
601         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
602               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
603         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
604 install-desktopDATA: $(desktop_DATA)
605         @$(NORMAL_INSTALL)
606         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
607         if test -n "$$list"; then \
608           echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
609           $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
610         fi; \
611         for p in $$list; do \
612           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
613           echo "$$d$$p"; \
614         done | $(am__base_list) | \
615         while read files; do \
616           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
617           $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
618         done
619
620 uninstall-desktopDATA:
621         @$(NORMAL_UNINSTALL)
622         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
623         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
624         dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
625 install-iconDATA: $(icon_DATA)
626         @$(NORMAL_INSTALL)
627         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
628         if test -n "$$list"; then \
629           echo " $(MKDIR_P) '$(DESTDIR)$(icondir)'"; \
630           $(MKDIR_P) "$(DESTDIR)$(icondir)" || exit 1; \
631         fi; \
632         for p in $$list; do \
633           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
634           echo "$$d$$p"; \
635         done | $(am__base_list) | \
636         while read files; do \
637           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icondir)'"; \
638           $(INSTALL_DATA) $$files "$(DESTDIR)$(icondir)" || exit $$?; \
639         done
640
641 uninstall-iconDATA:
642         @$(NORMAL_UNINSTALL)
643         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
644         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
645         dir='$(DESTDIR)$(icondir)'; $(am__uninstall_files_from_dir)
646 install-readmeDATA: $(readme_DATA)
647         @$(NORMAL_INSTALL)
648         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
649         if test -n "$$list"; then \
650           echo " $(MKDIR_P) '$(DESTDIR)$(readmedir)'"; \
651           $(MKDIR_P) "$(DESTDIR)$(readmedir)" || exit 1; \
652         fi; \
653         for p in $$list; do \
654           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
655           echo "$$d$$p"; \
656         done | $(am__base_list) | \
657         while read files; do \
658           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(readmedir)'"; \
659           $(INSTALL_DATA) $$files "$(DESTDIR)$(readmedir)" || exit $$?; \
660         done
661
662 uninstall-readmeDATA:
663         @$(NORMAL_UNINSTALL)
664         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
665         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
666         dir='$(DESTDIR)$(readmedir)'; $(am__uninstall_files_from_dir)
667
668 # This directory's subdirectories are mostly independent; you can cd
669 # into them and run 'make' without going through this Makefile.
670 # To change the values of 'make' variables: instead of editing Makefiles,
671 # (1) if the variable is set in 'config.status', edit 'config.status'
672 #     (which will cause the Makefiles to be regenerated when you run 'make');
673 # (2) otherwise, pass the desired values on the 'make' command line.
674 $(am__recursive_targets):
675         @fail=; \
676         if $(am__make_keepgoing); then \
677           failcom='fail=yes'; \
678         else \
679           failcom='exit 1'; \
680         fi; \
681         dot_seen=no; \
682         target=`echo $@ | sed s/-recursive//`; \
683         case "$@" in \
684           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
685           *) list='$(SUBDIRS)' ;; \
686         esac; \
687         for subdir in $$list; do \
688           echo "Making $$target in $$subdir"; \
689           if test "$$subdir" = "."; then \
690             dot_seen=yes; \
691             local_target="$$target-am"; \
692           else \
693             local_target="$$target"; \
694           fi; \
695           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
696           || eval $$failcom; \
697         done; \
698         if test "$$dot_seen" = "no"; then \
699           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
700         fi; test -z "$$fail"
701
702 ID: $(am__tagged_files)
703         $(am__define_uniq_tagged_files); mkid -fID $$unique
704 tags: tags-recursive
705 TAGS: tags
706
707 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
708         set x; \
709         here=`pwd`; \
710         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
711           include_option=--etags-include; \
712           empty_fix=.; \
713         else \
714           include_option=--include; \
715           empty_fix=; \
716         fi; \
717         list='$(SUBDIRS)'; for subdir in $$list; do \
718           if test "$$subdir" = .; then :; else \
719             test ! -f $$subdir/TAGS || \
720               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
721           fi; \
722         done; \
723         $(am__define_uniq_tagged_files); \
724         shift; \
725         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
726           test -n "$$unique" || unique=$$empty_fix; \
727           if test $$# -gt 0; then \
728             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
729               "$$@" $$unique; \
730           else \
731             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
732               $$unique; \
733           fi; \
734         fi
735 ctags: ctags-recursive
736
737 CTAGS: ctags
738 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
739         $(am__define_uniq_tagged_files); \
740         test -z "$(CTAGS_ARGS)$$unique" \
741           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
742              $$unique
743
744 GTAGS:
745         here=`$(am__cd) $(top_builddir) && pwd` \
746           && $(am__cd) $(top_srcdir) \
747           && gtags -i $(GTAGS_ARGS) "$$here"
748 cscope: cscope.files
749         test ! -s cscope.files \
750           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
751 clean-cscope:
752         -rm -f cscope.files
753 cscope.files: clean-cscope cscopelist
754 cscopelist: cscopelist-recursive
755
756 cscopelist-am: $(am__tagged_files)
757         list='$(am__tagged_files)'; \
758         case "$(srcdir)" in \
759           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
760           *) sdir=$(subdir)/$(srcdir) ;; \
761         esac; \
762         for i in $$list; do \
763           if test -f "$$i"; then \
764             echo "$(subdir)/$$i"; \
765           else \
766             echo "$$sdir/$$i"; \
767           fi; \
768         done >> $(top_builddir)/cscope.files
769
770 distclean-tags:
771         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
772         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
773
774 distdir: $(BUILT_SOURCES)
775         $(MAKE) $(AM_MAKEFLAGS) distdir-am
776
777 distdir-am: $(DISTFILES)
778         $(am__remove_distdir)
779         test -d "$(distdir)" || mkdir "$(distdir)"
780         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
781         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
782         list='$(DISTFILES)'; \
783           dist_files=`for file in $$list; do echo $$file; done | \
784           sed -e "s|^$$srcdirstrip/||;t" \
785               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
786         case $$dist_files in \
787           */*) $(MKDIR_P) `echo "$$dist_files" | \
788                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
789                            sort -u` ;; \
790         esac; \
791         for file in $$dist_files; do \
792           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
793           if test -d $$d/$$file; then \
794             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
795             if test -d "$(distdir)/$$file"; then \
796               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
797             fi; \
798             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
799               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
800               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
801             fi; \
802             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
803           else \
804             test -f "$(distdir)/$$file" \
805             || cp -p $$d/$$file "$(distdir)/$$file" \
806             || exit 1; \
807           fi; \
808         done
809         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
810           if test "$$subdir" = .; then :; else \
811             $(am__make_dryrun) \
812               || test -d "$(distdir)/$$subdir" \
813               || $(MKDIR_P) "$(distdir)/$$subdir" \
814               || exit 1; \
815             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
816             $(am__relativize); \
817             new_distdir=$$reldir; \
818             dir1=$$subdir; dir2="$(top_distdir)"; \
819             $(am__relativize); \
820             new_top_distdir=$$reldir; \
821             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
822             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
823             ($(am__cd) $$subdir && \
824               $(MAKE) $(AM_MAKEFLAGS) \
825                 top_distdir="$$new_top_distdir" \
826                 distdir="$$new_distdir" \
827                 am__remove_distdir=: \
828                 am__skip_length_check=: \
829                 am__skip_mode_fix=: \
830                 distdir) \
831               || exit 1; \
832           fi; \
833         done
834         $(MAKE) $(AM_MAKEFLAGS) \
835           top_distdir="$(top_distdir)" distdir="$(distdir)" \
836           dist-hook
837         -test -n "$(am__skip_mode_fix)" \
838         || find "$(distdir)" -type d ! -perm -755 \
839                 -exec chmod u+rwx,go+rx {} \; -o \
840           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
841           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
842           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
843         || chmod -R a+r "$(distdir)"
844 dist-gzip: distdir
845         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
846         $(am__post_remove_distdir)
847
848 dist-bzip2: distdir
849         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
850         $(am__post_remove_distdir)
851
852 dist-lzip: distdir
853         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
854         $(am__post_remove_distdir)
855 dist-xz: distdir
856         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
857         $(am__post_remove_distdir)
858
859 dist-tarZ: distdir
860         @echo WARNING: "Support for distribution archives compressed with" \
861                        "legacy program 'compress' is deprecated." >&2
862         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
863         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
864         $(am__post_remove_distdir)
865
866 dist-shar: distdir
867         @echo WARNING: "Support for shar distribution archives is" \
868                        "deprecated." >&2
869         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
870         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
871         $(am__post_remove_distdir)
872
873 dist-zip: distdir
874         -rm -f $(distdir).zip
875         zip -rq $(distdir).zip $(distdir)
876         $(am__post_remove_distdir)
877
878 dist dist-all:
879         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
880         $(am__post_remove_distdir)
881
882 # This target untars the dist file and tries a VPATH configuration.  Then
883 # it guarantees that the distribution is self-contained by making another
884 # tarfile.
885 distcheck: dist
886         case '$(DIST_ARCHIVES)' in \
887         *.tar.gz*) \
888           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
889         *.tar.bz2*) \
890           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
891         *.tar.lz*) \
892           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
893         *.tar.xz*) \
894           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
895         *.tar.Z*) \
896           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
897         *.shar.gz*) \
898           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
899         *.zip*) \
900           unzip $(distdir).zip ;;\
901         esac
902         chmod -R a-w $(distdir)
903         chmod u+w $(distdir)
904         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
905         chmod a-w $(distdir)
906         test -d $(distdir)/_build || exit 0; \
907         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
908           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
909           && am__cwd=`pwd` \
910           && $(am__cd) $(distdir)/_build/sub \
911           && ../../configure \
912             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
913             $(DISTCHECK_CONFIGURE_FLAGS) \
914             --srcdir=../.. --prefix="$$dc_install_base" \
915           && $(MAKE) $(AM_MAKEFLAGS) \
916           && $(MAKE) $(AM_MAKEFLAGS) dvi \
917           && $(MAKE) $(AM_MAKEFLAGS) check \
918           && $(MAKE) $(AM_MAKEFLAGS) install \
919           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
920           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
921           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
922                 distuninstallcheck \
923           && chmod -R a-w "$$dc_install_base" \
924           && ({ \
925                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
926                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
927                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
928                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
929                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
930               } || { rm -rf "$$dc_destdir"; exit 1; }) \
931           && rm -rf "$$dc_destdir" \
932           && $(MAKE) $(AM_MAKEFLAGS) dist \
933           && rm -rf $(DIST_ARCHIVES) \
934           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
935           && cd "$$am__cwd" \
936           || exit 1
937         $(am__post_remove_distdir)
938         @(echo "$(distdir) archives ready for distribution: "; \
939           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
940           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
941 distuninstallcheck:
942         @test -n '$(distuninstallcheck_dir)' || { \
943           echo 'ERROR: trying to run $@ with an empty' \
944                '$$(distuninstallcheck_dir)' >&2; \
945           exit 1; \
946         }; \
947         $(am__cd) '$(distuninstallcheck_dir)' || { \
948           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
949           exit 1; \
950         }; \
951         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
952            || { echo "ERROR: files left after uninstall:" ; \
953                 if test -n "$(DESTDIR)"; then \
954                   echo "  (check DESTDIR support)"; \
955                 fi ; \
956                 $(distuninstallcheck_listfiles) ; \
957                 exit 1; } >&2
958 distcleancheck: distclean
959         @if test '$(srcdir)' = . ; then \
960           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
961           exit 1 ; \
962         fi
963         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
964           || { echo "ERROR: files left in build directory after distclean:" ; \
965                $(distcleancheck_listfiles) ; \
966                exit 1; } >&2
967 check-am: all-am
968 check: check-recursive
969 all-am: Makefile $(MANS) $(DATA) config.h
970 installdirs: installdirs-recursive
971 installdirs-am:
972         for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"; do \
973           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
974         done
975 install: install-recursive
976 install-exec: install-exec-recursive
977 install-data: install-data-recursive
978 uninstall: uninstall-recursive
979
980 install-am: all-am
981         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
982
983 installcheck: installcheck-recursive
984 install-strip:
985         if test -z '$(STRIP)'; then \
986           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
987             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
988               install; \
989         else \
990           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
991             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
992             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
993         fi
994 mostlyclean-generic:
995
996 clean-generic:
997         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
998
999 distclean-generic:
1000         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1001         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1002         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1003
1004 maintainer-clean-generic:
1005         @echo "This command is intended for maintainers to use"
1006         @echo "it deletes files that may require special tools to rebuild."
1007 clean: clean-recursive
1008
1009 clean-am: clean-generic mostlyclean-am
1010
1011 distclean: distclean-recursive
1012         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1013         -rm -f Makefile
1014 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
1015
1016 dvi: dvi-recursive
1017
1018 dvi-am:
1019
1020 html: html-recursive
1021
1022 html-am:
1023
1024 info: info-recursive
1025
1026 info-am:
1027
1028 install-data-am: install-desktopDATA install-iconDATA install-man \
1029         install-readmeDATA
1030
1031 install-dvi: install-dvi-recursive
1032
1033 install-dvi-am:
1034
1035 install-exec-am:
1036
1037 install-html: install-html-recursive
1038
1039 install-html-am:
1040
1041 install-info: install-info-recursive
1042
1043 install-info-am:
1044
1045 install-man: install-man1
1046
1047 install-pdf: install-pdf-recursive
1048
1049 install-pdf-am:
1050
1051 install-ps: install-ps-recursive
1052
1053 install-ps-am:
1054
1055 installcheck-am:
1056
1057 maintainer-clean: maintainer-clean-recursive
1058         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1059         -rm -rf $(top_srcdir)/autom4te.cache
1060         -rm -f Makefile
1061 maintainer-clean-am: distclean-am maintainer-clean-generic
1062
1063 mostlyclean: mostlyclean-recursive
1064
1065 mostlyclean-am: mostlyclean-generic
1066
1067 pdf: pdf-recursive
1068
1069 pdf-am:
1070
1071 ps: ps-recursive
1072
1073 ps-am:
1074
1075 uninstall-am: uninstall-desktopDATA uninstall-iconDATA uninstall-man \
1076         uninstall-readmeDATA
1077
1078 uninstall-man: uninstall-man1
1079
1080 .MAKE: $(am__recursive_targets) all install-am install-strip
1081
1082 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1083         am--refresh check check-am clean clean-cscope clean-generic \
1084         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1085         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
1086         dist-zip distcheck distclean distclean-generic distclean-hdr \
1087         distclean-tags distcleancheck distdir distuninstallcheck dvi \
1088         dvi-am html html-am info info-am install install-am \
1089         install-data install-data-am install-desktopDATA install-dvi \
1090         install-dvi-am install-exec install-exec-am install-html \
1091         install-html-am install-iconDATA install-info install-info-am \
1092         install-man install-man1 install-pdf install-pdf-am install-ps \
1093         install-ps-am install-readmeDATA install-strip installcheck \
1094         installcheck-am installdirs installdirs-am maintainer-clean \
1095         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1096         pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1097         uninstall-desktopDATA uninstall-iconDATA uninstall-man \
1098         uninstall-man1 uninstall-readmeDATA
1099
1100 .PRECIOUS: Makefile
1101
1102
1103 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@doxygen-ps: @DX_DOCDIR@/@PACKAGE@.ps
1104
1105 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@@DX_DOCDIR@/@PACKAGE@.ps: @DX_DOCDIR@/@PACKAGE@.tag
1106 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     cd @DX_DOCDIR@/latex; \
1107 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1108 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1109 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(MAKEINDEX_PATH) refman.idx; \
1110 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1111 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     countdown=5; \
1112 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1113 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@                       refman.log > /dev/null 2>&1 \
1114 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@        && test $$countdown -gt 0; do \
1115 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         $(DX_LATEX) refman.tex; \
1116 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         countdown=`expr $$countdown - 1`; \
1117 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     done; \
1118 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_DVIPS) -o ../@PACKAGE@.ps refman.dvi
1119
1120 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@doxygen-pdf: @DX_DOCDIR@/@PACKAGE@.pdf
1121
1122 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@@DX_DOCDIR@/@PACKAGE@.pdf: @DX_DOCDIR@/@PACKAGE@.tag
1123 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    cd @DX_DOCDIR@/latex; \
1124 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1125 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1126 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_MAKEINDEX) refman.idx; \
1127 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1128 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    countdown=5; \
1129 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1130 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@                      refman.log > /dev/null 2>&1 \
1131 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@       && test $$countdown -gt 0; do \
1132 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        $(DX_PDFLATEX) refman.tex; \
1133 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        countdown=`expr $$countdown - 1`; \
1134 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    done; \
1135 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    mv refman.pdf ../@PACKAGE@.pdf
1136
1137 @DX_COND_doc_TRUE@.PHONY: doxygen-run doxygen-doc $(DX_PS_GOAL) $(DX_PDF_GOAL)
1138
1139 @DX_COND_doc_TRUE@.INTERMEDIATE: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1140
1141 @DX_COND_doc_TRUE@doxygen-run: @DX_DOCDIR@/@PACKAGE@.tag
1142
1143 @DX_COND_doc_TRUE@doxygen-doc: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1144
1145 @DX_COND_doc_TRUE@@DX_DOCDIR@/@PACKAGE@.tag: $(DX_CONFIG) $(pkginclude_HEADERS)
1146 @DX_COND_doc_TRUE@      rm -rf @DX_DOCDIR@
1147 @DX_COND_doc_TRUE@      $(DX_ENV) $(DX_DOXYGEN) $(srcdir)/$(DX_CONFIG)
1148 @INTLTOOL_DESKTOP_RULE@
1149
1150 dist-hook: geeqie.spec
1151         cp $(top_builddir)/geeqie.spec $(distdir)
1152
1153 .PHONY: ChangeLog
1154 ChangeLog.html:
1155         ./gen_changelog.sh
1156
1157 README.html: README.md
1158         ./gen_readme.sh
1159
1160 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1161 # Otherwise a system limit (for SysV at least) may be exceeded.
1162 .NOEXPORT: